<template>
	<view class="com-teacher-course" v-if="info">
		<view class="header">
			<image :src="info.imgUrl" class="img"></image>
		</view>
		<view class="intro">
			<view class="name">{{info.name}}</view>
			<view class="tips">
				体验
				<text class="sign">￥</text>
				<text class="price">{{info.singlePrice}}</text>/课时
			</view>
		</view>
		<view class="btns">
			<button class="btn" @click="onViewCourse(info.id)">预约</button>
		</view>
	</view>
</template>

<script>
	export default {
		name:"TeacherCourse",
		emits:['onViewReserve'],
		props:{
			info:{
				type:Object,
				default:()=>{
					return null;
				}
			}
		},
		data() {
			return {
				
			};
		},
		methods:{
			
			onViewCourse(id){ 
				this.$emit("onViewReserve",id);
				// uni.navigateTo({
				// 	url:'/pages/fitness/Course/Course?id='+id,
				// })
			},
		},
	}
</script>

<style lang="scss">
@import "./TeacherCourse.scss";
</style>